Skip to main content
GET
/
api
/
v2
/
projects
/
{projectKey}
/
flags
/
{featureFlagKey}
/
environments
/
{environmentKey}
/
workflows
/
{workflowId}
Get custom workflow
curl --request GET \
  --url https://app.launchdarkly.com/api/v2/projects/{projectKey}/flags/{featureFlagKey}/environments/{environmentKey}/workflows/{workflowId} \
  --header 'Authorization: <api-key>'
{
  "_id": "12ab3c4d5ef1a2345bcde67f",
  "_version": 1,
  "_conflicts": [
    {
      "stageId": "12ab3c4d5ef1a2345bcde67f",
      "message": "<string>"
    }
  ],
  "_creationDate": "1654104600000",
  "_maintainerId": "12ab3c45de678910abc12345",
  "_links": {},
  "name": "Progressive rollout starting in two days",
  "_execution": "{\"status\": \"completed\"}",
  "description": "Turn flag on for 10% of customers each day",
  "kind": "custom",
  "stages": [
    {
      "_id": "12ab3c45de678910abc12345",
      "conditions": [
        {
          "_execution": {
            "status": "completed"
          },
          "id": "12ab3c45de678910abc12345",
          "kind": "schedule",
          "scheduleKind": "relative",
          "waitDuration": 2,
          "waitDurationUnit": "calendarDay"
        }
      ],
      "action": "{ \"kind\": \"patch\", \"instructions\": [{ \"kind\": \"turnFlagOn\"}] }",
      "_execution": "{ \"status\": \"completed\" }",
      "name": "10% rollout on day 1"
    }
  ],
  "meta": {
    "parameters": [
      {
        "_id": "<string>",
        "path": "<string>",
        "default": {
          "value": "<unknown>",
          "booleanVariationValue": true,
          "ruleClause": {
            "attribute": "<string>",
            "op": "in",
            "negate": true
          }
        },
        "valid": true
      }
    ]
  },
  "templateKey": "example-workflow-template"
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string<string>
required

The project key

featureFlagKey
string<string>
required

The feature flag key

environmentKey
string<string>
required

The environment key

workflowId
string<string>
required

The workflow ID

Response

Workflow response

_id
string
required

The ID of the workflow

Example:

"12ab3c4d5ef1a2345bcde67f"

_version
integer
required

The version of the workflow

Example:

1

_conflicts
object[]
required

Any conflicts that are present in the workflow stages

_creationDate
integer<int64>
required

Timestamp of when the workflow was created

Example:

"1654104600000"

_maintainerId
string
required

The member ID of the maintainer of the workflow. Defaults to the workflow creator.

Example:

"12ab3c45de678910abc12345"

The location and content type of related resources

name
string
required

The name of the workflow

Example:

"Progressive rollout starting in two days"

_execution
object
required

The current execution status of the workflow

Example:

"{\"status\": \"completed\"}"

description
string

A brief description of the workflow

Example:

"Turn flag on for 10% of customers each day"

kind
string

The kind of workflow

Example:

"custom"

stages
object[]

The stages that make up the workflow. Each stage contains conditions and actions.

meta
object

For workflows being created from a workflow template, this value holds any parameters that could potentially be incompatible with the current project, environment, or flag

templateKey
string

For workflows being created from a workflow template, this value is the template's key

Example:

"example-workflow-template"